-record(copy,
        {
         %% pid of the process that started the COPY. It is used to receive asynchronous error
         %% messages when some error in data stream was detected
         initiator :: pid(),
         last_error :: undefined | cloudi_x_epgsql:query_error(),
         format :: binary | text,
         binary_types :: [cloudi_x_epgsql:epgsql_type()] | undefined
        }).
